<section class="explore-mapset-navigation">
  <div class="form-group mb-3">
    <div class="explore-search pe-3">
      <img class="icon-search"
           src="assets/icons/search.svg" />
      <input id="inputSearch"
             class="form-control"
             name="srcInput"
             placeholder="Cari Dataset Geospasial"
             [(ngModel)]="inputSearch"
             (input)="onInputSearch()">

    </div>
  </div>
  <div class="pe-3 mapset-tree"
       *ngIf="isLoading$ | async">
    <ngx-skeleton-loader count="10"></ngx-skeleton-loader>
  </div>
  <div *ngIf="treeDataSource.data.length === 0 && !(isLoading$ | async)">
    Data Tidak Ditemukan
  </div>
  <mat-tree #tree
            *ngIf="!(isLoading$ | async)"
            [dataSource]="treeDataSource"
            [treeControl]="treeControl"
            class="mapset-tree">
    <mat-tree-node *matTreeNodeDef="let node"
                   matTreeNodeToggle>
      <ul class="mat-tree-node p-0 border border-start-0 border-top-0 border-bottom-0 border-end-0 border-dashed w-100"
          style="position: relative;">
        <li class="d-flex align-items-center w-100">
          <span style="position: relative;width:370px"
                (click)="setActiveDetail(node.id)"
                [ngClass]="this.activeDetailMapsetId == node.id ? 'explore-active-list' : ''">{{node.name}}</span>
          <span style="position:absolute;right: 15px;"
                (click)="setActiveMapset(node.id)">
            <img
                 [src]="checkActiveMapset(node.id) ? 'assets/icons/circle-minus.svg' : 'assets/icons/circle-plus.svg'" />
          </span>
        </li>
      </ul>
    </mat-tree-node>
    <!-- This is the tree node template for expandable nodes -->
    <mat-nested-tree-node *matTreeNodeDef="let node; when: hasChild">
      <ul class="p-0">
        <li>
          <div matTreeNodeToggle
               (click)="setActiveTree(node.id)"
               [ngClass]="activeTree === node.id ? 'explore-active-tree' : ''"
               class="mat-tree-node mapset-border-bottom cursor-pointer">
            <div class="col-md-10 ps-1 py-2">
              {{node.name}}
            </div>
            <div class="col-md-2 text-end p-0">
              <button mat-icon-button
                      [attr.aria-label]="'toggle ' + node.name"
                      style="color: #A8A8A8; background: none;">
                <fa-icon [ngClass]="{'text-white': activeTree === node.id}"
                         [icon]="treeControl.isExpanded(node) ? icons.faAngleDown : icons.faAngleRight"></fa-icon>
              </button>
            </div>

          </div>
          <ul class="explore-mapset-list ps-2 border border-top-0 border-end-0 border-bottom-0 border-dashed"
              [class.d-block]="treeControl.isExpanded(node)"
              style="padding-left: 10px;">
            <ng-container matTreeNodeOutlet></ng-container>
          </ul>
        </li>
      </ul>
    </mat-nested-tree-node>
  </mat-tree>
</section>